name: microsatbedfubar
owner: fubar
categories:
- Sequence Analysis
description: Select microsatellites for a bed file
homepage_url: https://github.com/lmdu/pytrf
long_description: |
   See https://pytrf.readthedocs.io/en/latest/ for the pytrf documentation.
   A Tandem repeat (TR) in genomic sequence is a set of adjacent short DNA sequence repeated consecutively. The core sequence or repeat unit is generally called motif. 
   According to the motif length, tandem repeats can be classified as microsatellites and minisatellites. Microsatellites are also known as simple sequence repeats (SSRs) 
   or short tandem repeats (STRs) with motif length of 1-6 bp. Minisatellites are also sometimes referred to as variable number of tandem repeats (VNTRs) has longer 
   motif length than microsatellites. Pytrf is a lightweight Python C extension for identification of tandem repeats, for both exact or perfect SSRs.
   It also can find generic tandem repeats with any size of motif, such as with maximum motif length of 100 bp. Additionally, it has capability of finding approximate or imperfect tandem repeats. 
   A fasta file must be supplied for processing. Different subsets of STR may be selected for output. Perfect STRs are the default, but any combination 
   with one or more of pefect, approxinate and generic. Designed to build some of the microsatellite tracks from https://github.com/arangrhie/T2T-Polish/tree/master/pattern for the VGP.
remote_repository_url: https://github.com/fubar2/microsatbed
type: unrestricted
